<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>JS exercise 4</title>
    <style>
        .cinema-layout {
            border: solid 1px black;
            width: 320px;
            height: 330px;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-around;
            padding: 5px;
        }
        
        .seat {
            width: 20px;
            height: 20px;
            margin: 5px;
            border: solid 1px black;
        }
        
        .seat-vip {
            width: 40px;
            height: 20px;
            margin: 5px;
            border: solid 1px black;
        }
        
        .available {
            background-color: #96c131;
        }
        
        .available:hover {
            background-color: #7ea71d;
            cursor: pointer;
        }
        
        .selected {
            background-color: red;
        }
    </style>
</head>

<body>
    <div id="cinema-layout" class="cinema-layout">
        <div class="seat selected"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>
        <div class="seat available"></div>

        <div class="seat-vip available"></div>
        <div class="seat-vip available"></div>
        <div class="seat-vip available"></div>
        <div class="seat-vip available"></div>
        <div class="seat-vip available"></div>
    </div>
    <p id="tickets-price"></p>

    <script>
        /*
                    Напишите код для для резервирования билетов в кино и подсчета общей стоимости билетов.
                    CSS-разметка работает так: 
                    - все места имеют класс seat (обычное место) или seat-vip (VIP-место), описывающие их внешений вид;
                    - доступные места дополнительно имеют класс available;
                    - уже забронированные дополнительно имеют класс selected;
                    
                    Код должен работать так:
                    1. При клике на незнятое место оно становится забронированным и к общей стоимости билетов прибавляет 100 грн если место обычное, 
                    и 200 - если это VIP-место.
                    2. Общая цена билетов выводится внутри p с id="tickets-price".
                    3. Если выбран еще один билет - сумма обновляется и новая выводится в пункте 2.
                    */

        const seats = document.querySelectorAll('.cinema-layout .seat')
        const vipSeats = document.querySelectorAll('.cinema-layout .seat-vip')
        const ticketPriceField = document.getElementById('tickets-price')
        let ticketsPrice = 0
        seats.forEach(item => item.addEventListener('click', function() {
            item.classList.add('selected')
            if (item.classList.contains('selected')) {
                ticketsPrice += 100
            }
            ticketPriceField.textContent = ticketsPrice
        }))


        vipSeats.forEach(item => item.addEventListener('click', function() {
            item.classList.add('selected')
            if (item.classList.contains('selected')) {
                ticketsPrice += 200
            }
            ticketPriceField.textContent = ticketsPrice
        }))
    </script>

</body>

</html>